routes/web.php
<?php

use App\Notifications\OrderCreated;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'MainPageController@index')->name('MainPage');
Route::get('/homePage', 'MainPageController@index')->name('mainPage');
Route::post('/homePage', 'MainPageController@subscribe')->name('subscribe');
Route::get('lang/{locale}', 'LangController@lang')->name('lang');
Route::get('page/{id}', 'Dashboard\PageController@show')->name('pages.show');
Route::get('contact_us/', 'ContactController@contact_form')->name('pages.contact_form');
Route::post('contact_us/', 'ContactController@contact_us')->name('pages.contact_us');
Route::get('categories/', 'ProductController@categories')->name('pages.categories');
Route::get('categories/{id}', 'ProductController@cat_products')->name('pages.cat_products');
Route::get('product/{id}', 'ProductController@show')->name('pages.product');
Route::get('productOwner/{id}', 'ProductController@owner')->name('pages.owner');
Route::post('comment_store/', 'ProductController@commentStore')->name('comment.store');
Route::post('product/', 'ProductController@rateStore')->name('pages.productRate');
Route::get('search/', 'ProductController@search')->name('pages.search');
Route::get('search/filters', 'ProductController@filters')->name('pages.search.filters');
Route::resource('/basket','basket\ParentBasketController');

Auth::routes(['verify' => true]);

Route::get('search/autocompleteUsers', 'UserController@autocomplete')->name('autocompleteUsers');
//Route::get('artisan', function() {
//    Artisan::call('migrate '  );
//    Artisan::call('db:seed '  );
//});
//Route::get('/test', function (){
//    return view('emails.message',['receiver'=>\App\Models\Admin::find(1),'sender'=>\App\Models\Admin::find(2),'id'=>3,'lang'=>App::getLocale(),'prefix'=>'admin.']);
//});
//Route::get('/rl',function (){
//    \Illuminate\Support\Facades\Artisan::call('route:list');
//    dd(\Illuminate\Support\Facades\Artisan::output());
//
//});

//--------------------Admins------------------------------
Route::group(['prefix'=>'admin'],function (){
    Route::get('/login','Auth\AdminLoginController@showLoginForm')->name('admin.login');
    Route::post('/login','Auth\AdminLoginController@login')->name('admin.login.submit');
    Route::get('/logout', 'Auth\AdminLoginController@logout')->name('admin.logout');
    Route::group(['middleware' => 'auth:admin'],function (){
        Route::resource('/menu','Admin\MenuController');
        Route::resource('/link_locations','Admin\LinkLocationsController');
        Route::resource('/link','Admin\LinkController');
        Route::resource('/page','Admin\PageController');
        Route::resource('/product_category','Admin\ProductCategoryController');
        Route::get('/','Admin\AdminController@index')->name('admin.dashboard');
        Route::resource('user', 'Admin\UserController', ['except' => ['create','store']]);
        Route::resource('/product','Admin\ProductController');
        Route::post('/newsletter_upload', 'Admin\SubscribeController@UploadFile')->name('admin.upload_file_newsletter');
        Route::post('/upload','Admin\ProductController@UploadFile')->name('upload_file_product');
        Route::post('/remove','Admin\ProductController@RemoveFile')->name('remove_file_product');
        Route::name('admin.')->group(function () {
            Route::resource('/message', 'MessageController', ['as', 'admin']);
        });
        Route::get('/message_Receiver', 'MessageController@autocomplete')->name('admin.autocompleteReceiver');
        Route::post('/message_upload', 'MessageController@upload')->name('admin.upload_file_message');
        Route::post('/message_remove', 'MessageController@remove')->name('admin.remove_file_message');
        Route::get('/attachment_view/{name_file}', 'MessageController@show_attachments')->name('admin.show_attachments');
        Route::get('/message_sent', 'MessageController@SentMessages')->name('admin.message_sent');
        Route::get('/message_reply/{id}', 'MessageController@ReplyMessages')->name('admin.message_reply');
        Route::get('/contacts','ContactController@index')->name('admin.contacts');
        Route::get('/contacts/{id}','ContactController@show')->name('admin.show_contacts');
        Route::resource('/comment','Admin\CommentController')->except('store');
        Route::resource('/subscribe','Admin\SubscribeController');
        Route::get('/subscribe_excel/{id}','Admin\SubscribeController@receivers')->name('subscribe_excel');
        Route::get('/subscribe_send/{id}','Admin\SubscribeController@send')->name('subscribe_send');
        Route::group(['prefix'=>'notification'],function (){
            Route::get('','Admin\NotificationController@index')->name('admin.notifications');
            Route::delete('{id}','Admin\NotificationController@destroy')->name('admin.delete_notifications');
            Route::get('delete_all','Admin\NotificationController@destroy_all')->name('admin.destroy_notifications');
            Route::post('user','Admin\NotificationController@notify_user')->name('admin.notify_user');

        });
    });
});

//--------------------Normal Users------------------------------
/*dashboard*/ Route::get('/home', 'UserController@dashboard')->name('dashboard')->middleware('verified');
Route::group( ['middleware' => 'auth'],function (){
    Route::get('/logout', 'Auth\LoginController@logout')->name('logout.a');
    Route::group(['middleware' => 'verified'], function () {
        Route::get('profile', ['as' => 'profile.edit', 'uses' => 'Dashboard\ProfileController@edit']);
        Route::put('profile', ['as' => 'profile.update', 'uses' => 'Dashboard\ProfileController@update']);
        Route::get('profile/password', ['as' => 'profile.change_password', 'uses' => 'Dashboard\ProfileController@change_password']);
        Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'Dashboard\ProfileController@password']);
        Route::get('notifications', ['as' => 'pages.notifications', 'uses' => 'Dashboard\PageController@notifications']);
        Route::delete('notifications/{id}','Dashboard\PageController@destroyNotifications')->name('delete_notifications');
        Route::get('notifications/delete_all','Dashboard\PageController@destroyAllNotifications')->name('destroy_notifications');
        Route::resource('/userProduct','Dashboard\ProductController');
        Route::get('/productCountLog/{id}',function ($id){
            if(\Illuminate\Support\Facades\Storage::exists('product_count_logs/'.$id.'.txt'))
                return \Illuminate\Support\Facades\Storage::download('product_count_logs/'.$id.'.txt');
            else abort(404);
        })->name('productCountLog');
        Route::post('/upload','Dashboard\ProductController@UploadFile')->name('upload_file_user_product');
        Route::post('/remove','Dashboard\ProductController@RemoveFile')->name('remove_file_user_product');
        Route::resource('/message','MessageController');
        Route::get('/message_Receiver', 'MessageController@autocomplete')->name('autocompleteReceiver');
        Route::post('/message_upload', 'MessageController@upload')->name('upload_file_message');
        Route::post('/message_remove', 'MessageController@remove')->name('remove_file_message');
        Route::get('/message_sent', 'MessageController@SentMessages')->name('message_sent');
        Route::get('/message_reply/{id}', 'MessageController@ReplyMessages')->name('message_reply');
        Route::get('/attachment_view/{name_file}', 'MessageController@show_attachments')->name('show_attachments');
        Route::post('/shop', 'OrderController@create')->name('shop');
        Route::resource('/order','OrderController')->except(['edit','update']);
        Route::get('/confirm_order/{id}','OrderController@confirm')->name('confirm_order');
        Route::get('/problem_order/{id}','OrderController@problem')->name('order_problem');
    });
});

//-------------------Normal Users And Admins-------------------------
Route::group( ['middleware' => 'auth:web,admin'],function (){
    Route::get('/requested_orders','OrderController@requested')->name('requested_orders');
    Route::get('/order/{id}/edit', 'OrderController@edit')->name('order_edit');
    Route::put('/order/{id}/edit',  'OrderController@update')->name('order_update');
    Route::post('/order/desc',  'OrderController@problem_desc')->name('order_desc');
    Route::get('/receipt_images/{name_file}','OrderController@receipt');
});

app/Models/Link.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Link extends Model
{
    use HasFactory;

    public function link_locations()
    {
        return $this->belongsTo(Link_locations::class,'location_id');
    }
}

app/Http/Controllers/Admin/LinkController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Helpers\Helper;
use App\Http\Controllers\Controller;
use App\Models\Link;
use App\Models\Link_locations;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\DB;
use Illuminate\Validation\Rule;

class LinkController extends Controller
{
    public function __cunstruct(){
        $this->middleware('auth:admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index(Request $request)
    {
//        DB::enableQueryLog();  EQLog();
        $result = Link::with('link_locations')->orderBy('id','DESC');
        if($request->title) $result = $result->where('title','LIKE','%'.$request->title.'%');
        if($request->id) $result = $result->where('id','=',$request->id);
        if($request->location_id) $result = $result->where('location_id','=',$request->location_id);

        $result->where('lang_id','=',Helper::GetLocaleNumber());

        $result = $result->paginate(10)->appends('title',$request->title)->appends('id',$request->id)->appends('location_id',$request->location_id);

        $locations = Link_locations::orderBy('id','DESC')->where('lang_id','=',Helper::GetLocaleNumber())->get();

//        dd($result->all());
//        dd(DB::getQueryLog()); dd(GQLog();
        return view('link.index',['list'=> $result,'request'=>$request,'locations'=>$locations]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        $locations = Link_locations::orderBy('id','DESC')->where('lang_id','=',Helper::GetLocaleNumber())->get();
        return view('link.create',['locations'=>$locations]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'title' => 'required|unique:links|min:3|max:50',
            'link' => 'required',
            'location_id' => 'required|numeric',
            'image' =>'required|image|mimes:jpeg,png,jpg|max:8192|dimensions:max_width=1920,max_height=796'
        ]);

        $record = new Link();
        $record->title = $request['title'];
        $record->lang_id = Helper::GetLocaleNumber();
        $record->link = $request['link'];
        $record->description = $request['description'];
        $record->location_id = $request['location_id'];
        $record->save();

        if($request->hasFile('image') && $request->file('image')->isValid()) {//no problems uploading the file
            // image file
            $name = 'link-' . $record->id . '.' . $request->file('image')->extension();
            $request->file('image')->move(public_path('link_images'), $name);
            $record->image = $name;
            $record->save();
        }

        return redirect()->route('link.index')->with('message', __('messages.created'));

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        $locations = Link_locations::orderBy('id','DESC')->where('lang_id','=',Helper::GetLocaleNumber())->get();
        $record = Link::findOrFail($id);
        return view('link.edit',compact('record','locations'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param Request $request
     * @param  int  $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $rules=[
            'title' => ['required','min:3','max:50',Rule::unique('links')->ignore($id)],
            'link' => 'required',
            'location_id' => 'required|numeric',
            'image' =>'required|image|mimes:jpeg,png,jpg|max:8192|dimensions:max_width=1920,max_height=796'
        ];
        $uplaod_need = true;
        if(empty($request['image']) && !empty($request['image_name'])){
            $request['image'] = $request['image_name'];
            $uplaod_need = false;
            unset($rules['image']);
        }
        $this->validate($request,$rules);
        $record = Link::findOrFail($id);
        $record->title = $request['title'];
        $record->lang_id = Helper::GetLocaleNumber();
        $record->link = $request['link'];
        $record->description = $request['description'];
        $record->location_id = $request['location_id'];
        $record->save();

        if($uplaod_need)
        if($request->hasFile('image') && $request->file('image')->isValid()) {//no problems uploading the file
            // image file
            $name = 'link-' . $record->id . '.' . $request->file('image')->extension();
            $request->file('image')->move(public_path('link_images'), $name);
            $record->image = $name;
            $record->save();
        }
        return redirect()->route('link.index')->with('message', __('messages.updated'));

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        Link::findOrFail($id)->delete();
        return back()->with('message', __('messages.deleted'));
    }
}

resources/views/link/create.blade.php
@extends('layouts.green_layout')
@section('title')
    | {{__("title.links")}}
@endsection
@section('content')
    <div class="inner_page dashboard">
        <div class="col-xl-12 row">
            @include('layouts.navbars.nav_check')
            <div class="col-xl-9 " style="margin-top: 10px" >
                @include('includes.message')
                <div class="card">
                    <div class="flex-center position-ref full-height">
                    <h5>{{__('title.links')}}</h5>
                    <form action="{{route('link.store')}}" method="post" enctype="multipart/form-data">
                        {{csrf_field()}}

                        <div class="form-group{{ $errors->has('title') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label ">{{ __('title.title')}} <span class="require">*</span> </label>
                            <div class="col-md-6">
                                <input id="title" type="text" class="form-control" name="title" value="{{ old('title') }}" required autofocus>

                                @if ($errors->has('title'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('title') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('is_active') ? ' has-error' : '' }}">
                            <label for="is_active" class="col-md-4 control-label">{{__('title.active')}}</label>

                            <div class="col-md-6">
                                <input id="is_active" type="checkbox" class="" name="is_active" value=1 autofocus
                                    {{ old('is_active') ? 'checked="1"' : 'checked="0"' }} >
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('link') ? ' has-error' : '' }}">
                            <label for="link" class="col-md-4 control-label">{{ __('title.link')}} <span class="require">*</span></label>

                            <div class="col-md-6">
                                <input id="link" type="text" class="form-control" name="link" value="{{ old('link') }}" required autofocus>

                                @if ($errors->has('link'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('link') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">{{ __('title.description')}} </label>

                            <div class="col-md-6">
                                <textarea id="description"  class="form-control" name="description">{{ old('description') }}</textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('image') ? ' has-error' : '' }}">
                            <label for="image" class="col-md-4 control-label">{{__('title.image')}} <span class="require">*</span></label>
                            <div class="col-md-6">
                                <input id="image" type="file" class="form-control" name="image" value="{{ old('image') }}" required autofocus>
                                @if ($errors->has('image'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('image') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('location_id') ? ' has-error' : '' }}">
                            <label for="location_id" class="col-md-4 control-label">{{__('title.location_show')}} <span class="require">*</span></label>
                            <div class="col-md-6">
                                <select id="location_id" class="form-control" name="location_id" required autofocus>
                                    <option value="">{{__('title.select_one')}}</option>
                                    @foreach($locations as $item)
                                        <option value="{{$item->id}}" {{!empty(old('location_id')) && old('location_id') == $item->id ? 'selected = selected' : ''}}>{{$item->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group_submit  ">
                            <div class="">
                                <button type="submit" name='submit' class="btn btn-primary">
                                    {{__('title.create_new')}}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/link/edit.blade.php
@extends('layouts.green_layout')
@section('title')
    | {{__("title.links")}}
@endsection
@section('content')
    <div class="inner_page dashboard">
        <div class="col-xl-12 row">
            @include('layouts.navbars.nav_check')
            <div class="col-xl-9 " style="margin-top: 10px" >
                @include('includes.message')
                 <div class="card">
                    <div class="flex-center position-ref full-height">
                    <h5>{{__('title.links')}}</h5>
                    <form action="{{route('link.update',$record['id'])}}" method="post" enctype="multipart/form-data">
                        {{csrf_field()}}
                        {{method_field('put')}}

                        <div class="form-group{{ $errors->has('title') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label ">{{ __('title.title')}} <span class="require">*</span> </label>
                            <div class="col-md-6">
                                <input id="title" type="text" class="form-control" name="title" value="{{ old('title',$record['title']) }}" required autofocus>

                                @if ($errors->has('title'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('title') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('is_active') ? ' has-error' : '' }}">
                            <label for="is_active" class="col-md-4 control-label">{{__('title.active')}}</label>

                            <div class="col-md-6">
                                <input id="is_active" type="checkbox" class="" name="is_active" value=1 autofocus
                                    {{ old('is_active',$record['is_active']) ? 'checked="1"' : 'checked="0"' }} >
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('link') ? ' has-error' : '' }}">
                            <label for="link" class="col-md-4 control-label">{{ __('title.link')}} <span class="require">*</span></label>

                            <div class="col-md-6">
                                <input id="link" type="text" class="form-control" name="link" value="{{ old('link',$record['link']) }}" required autofocus>

                                @if ($errors->has('link'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('link') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">{{ __('title.description')}} </label>

                            <div class="col-md-6">
                                <textarea id="description"  class="form-control" name="description">{{ old('description',$record['description']) }}</textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('image') ? ' has-error' : '' }}">
                            <label for="image" class="col-md-4 control-label">{{__('title.image')}} @if(empty(old('image',$record['image'])))<span class="require">*</span>@endif</label>
                            <div class="col-md-6">
                                @if(!empty($record['image']))
                                    <img id="image_show" alt="image show" src="{{asset('link_images').'/'.$record['image']}}" width="180px">
                                    <input type="hidden" name="image_name" value="{{$record['image']}}"/>
                                    <span class="btn btn-danger" id="remove_image"> </span>
                                @endif
                                <input id="image" type="file" class="form-control hidden" name="image"  accept="image/png, image/jpeg"  @if(empty($record['image'])) required @endif autofocus>

                                @if ($errors->has('image'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('image') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group{{ $errors->has('location_id') ? ' has-error' : '' }}">
                            <label for="location_id" class="col-md-4 control-label">{{__('title.location_show')}} <span class="require">*</span></label>
                            <div class="col-md-6">
                                <select id="location_id" class="form-control" name="location_id" required autofocus>
                                    <option value="">{{__('title.select_one')}}</option>
                                    @foreach($locations as $item)
                                        {{$id_p = old('location_id',$record['location_id'])}}
                                        <option value="{{$item->id}}" {{!empty($id_p) && $id_p == $item->id ? 'selected = selected' : ''}}>{{$item->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group_submit  ">
                            <div class="">
                                <button type="submit" name='submit' class="btn btn-primary">
                                    {{__('title.record_edit')}}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
                 </div>
            </div>
        </div>
    </div>
@endsection

resources/views/link/index.blade.php
@extends('layouts.green_layout')
@section('title')
    | {{__("title.links")}}
@endsection
@section('content')
    <div class="inner_page dashboard">
        <div class="col-xl-12 row">
            @include('layouts.navbars.nav_check')
            <div class="col-xl-9 " style="margin-top: 10px" >
                @include('includes.message')
                <div class="card">


                <table border="1" cellpadding="20" class="table table-hover">
                    <thead>
                    <tr>
                        <th colspan="6" class="th_title">
                            <span>{{__('title.Admin_links')}}</span>
                            <a href="{{route('link.create')}}" class="btn btn-create" >  {{ __('title.create_new')}}</a>
                        </th>
                    </tr>
                    <tr >
                        <td></td>
                        <td></td>
                        <td>{{ __('title.id')}}</td>
                        <td>{{ __('title.title')}}</td>
                        <td>{{ __('title.link')}}</td>
                        <td>{{ __('title.location_show')}}</td>
                    </tr>
                    </thead>
                    <tbody>

                    @foreach( $list as $item)
                            <tr class="{{$item->id}}">
                                <td class="btn-td">
                                    <form action="{{route('link.destroy',$item->id)}}" method="post">
                                        {{method_field('delete')}}
                                        {{csrf_field()}}
                                        <input type="submit" value=""  class="btn btn-danger" title="{{__('title.delete')}}" onclick="return confirm('{{__('title.confirm_delete')}}')">
                                    </form>
                                </td>
                                <td class="btn-td">
                                        <a href="{{route('link.edit',$item->id)}}" class="btn btn-edit "  title="{{__('title.record_edit')}}"> </a>
                                </td>
                                <td>{{$item->id}}</td>
                                <td>{{$item->title}}</td>
                                <td>{{$item->link}}</td>
                                <td>{{!empty($item->link_locations->title) ? $item->link_locations->title : ''}}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
             {{$list->links()}} <!-- PAGINATION-->
{{--            <h2>{{ __('title.search')}}</h2>--}}
             <form method="get" action="{{route('link.index')}}" class="search-form inner_page_box">
                <div class="form-search">
                    <label for="id">{{ __('title.id')}}: </label>
                    <input type="text" name="id" value="{{$request->id}}" class="form-control"  >
                </div>
                <div class="form-search">
                    <label for="title">{{ __('title.title')}}: </label>
                    <input type="text" name="title" value="{{$request->title}}" class="form-control"  >
                </div>

                <div class="form-search">
                    <label for="location_id">{{ __('title.location_show')}}:  </label>
                    <select id="location_id" class="form-control" name="location_id"  autofocus>
                        <option value="">{{__('title.select_one')}}</option>
                        @foreach($locations as $item)
                            <option value="{{$item->id}}" {{!empty($request->location_id) && $request->location_id == $item->id? 'selected = selected' : ''}}>{{$item->title}}</option>
                        @endforeach
                    </select>
                </div>

                <div class="clearfix"></div>
                <input type="submit" value="{{ __('title.search')}}" class="btn btn-primary">
                <a href="{{route('link.index')}}" class="btn btn-reset" >  {{ __('title.reset_filters')}}</a>
            </form>
            </div>

        </div>
    </div>
@endsection